Q = int(input())

dp = [None for i in range(1000)]
dp[0] = 1


def fact(n):
    if dp[n] is not None:
        return dp[n]
    dp[n] = n * fact(n - 1)
    return dp[n]


def comb(n, k):
    if n == 0:
        return 1
    result = 1
    for i in range(k):
        result *= (n - i)
    return result / fact(k)


def binv(target, n):
    result = -1

    start = 0
    end = n // 2

    while start < end:
        mid = (start + end) // 2
        asdf = comb(n, mid)
        if asdf == target:
            return 1
        elif asdf < target:
            end = mid - 1
        else:
            start = mid + 1

    return result


def solve():
    N = int(input())
    n = 1
    stred = comb(n - 1, (n - 1) // 2)
    while stred < N:
        n += 1
        stred = comb(n - 1, (n - 1) // 2)
    if stred == N:
        print(n)
        return
    res = binv(N, n)
    while res == -1:
        n += 1
        res = binv(N, n)
    print(n)


for _ in range(Q):
    solve()

print(comb(4, 2), comb(7, 3), comb(8, 4))
